# ApplicationInstall

Application install endpoints

## GET /v3/applicationInstall

> Get all your application installs

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstall","description":"Application install endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationInstall":{"type":"object","required":["id","applicationId","applicationType","createdAt","name","version","osGroupId","active","filePath","fileSize","fileSHA256","executableSHA256","status","installHasExe"],"properties":{"id":{"type":"integer","format":"integer","description":"Application install ID","readOnly":true},"applicationId":{"type":"string","format":"","description":"Application install assigned to applicationId"},"applicationType":{"type":"integer","format":"integer","description":"The list of Application types can be found in: GET /application/type","nullable":true},"createdAt":{"type":"integer","format":"integer","description":"Application install created at timestamp","readOnly":true},"name":{"type":"string","format":"","description":"Application install name"},"version":{"type":"string","format":"","description":"Application install version"},"osGroupId":{"type":"integer","format":"integer","description":"Operating system group ID (1 = windows, 2 = linux)"},"active":{"type":"integer","format":"integer","description":"Application install active"},"releaseNotes":{"type":"string","format":"","description":"Application install release notes","nullable":true},"filePath":{"type":"string","format":"","description":"Path of the file on the file server","readOnly":true},"fileSize":{"type":"integer","format":"integer","description":"File size in bytes","readOnly":true},"fileSHA256":{"type":"string","format":"","description":"Archive file SHA-256 hash","readOnly":true},"executableSHA256":{"type":"string","format":"","description":"SHA-256 hash of the executable in the archive","readOnly":true},"status":{"type":"integer","format":"integer","description":"Status of application install.","readOnly":true},"installHasExe":{"type":"integer","format":"integer","description":"Does the archive contain the game instance executable?"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationInstall":{"get":{"deprecated":true,"tags":["ApplicationInstall"],"summary":"Get all your application installs","operationId":"getApplicationInstalls","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstall"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/applicationInstall/{installId}

> Get an application install

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstall","description":"Application install endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationInstall":{"type":"object","required":["id","applicationId","applicationType","createdAt","name","version","osGroupId","active","filePath","fileSize","fileSHA256","executableSHA256","status","installHasExe"],"properties":{"id":{"type":"integer","format":"integer","description":"Application install ID","readOnly":true},"applicationId":{"type":"string","format":"","description":"Application install assigned to applicationId"},"applicationType":{"type":"integer","format":"integer","description":"The list of Application types can be found in: GET /application/type","nullable":true},"createdAt":{"type":"integer","format":"integer","description":"Application install created at timestamp","readOnly":true},"name":{"type":"string","format":"","description":"Application install name"},"version":{"type":"string","format":"","description":"Application install version"},"osGroupId":{"type":"integer","format":"integer","description":"Operating system group ID (1 = windows, 2 = linux)"},"active":{"type":"integer","format":"integer","description":"Application install active"},"releaseNotes":{"type":"string","format":"","description":"Application install release notes","nullable":true},"filePath":{"type":"string","format":"","description":"Path of the file on the file server","readOnly":true},"fileSize":{"type":"integer","format":"integer","description":"File size in bytes","readOnly":true},"fileSHA256":{"type":"string","format":"","description":"Archive file SHA-256 hash","readOnly":true},"executableSHA256":{"type":"string","format":"","description":"SHA-256 hash of the executable in the archive","readOnly":true},"status":{"type":"integer","format":"integer","description":"Status of application install.","readOnly":true},"installHasExe":{"type":"integer","format":"integer","description":"Does the archive contain the game instance executable?"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationInstall/{installId}":{"get":{"deprecated":true,"tags":["ApplicationInstall"],"summary":"Get an application install","operationId":"getApplicationInstall","parameters":[{"name":"installId","in":"path","description":"The Id of the application install to fetch","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstall"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid installId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/applicationInstall/{installId}

> Update an application install

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstall","description":"Application install endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationInstall":{"type":"object","required":["id","applicationId","applicationType","createdAt","name","version","osGroupId","active","filePath","fileSize","fileSHA256","executableSHA256","status","installHasExe"],"properties":{"id":{"type":"integer","format":"integer","description":"Application install ID","readOnly":true},"applicationId":{"type":"string","format":"","description":"Application install assigned to applicationId"},"applicationType":{"type":"integer","format":"integer","description":"The list of Application types can be found in: GET /application/type","nullable":true},"createdAt":{"type":"integer","format":"integer","description":"Application install created at timestamp","readOnly":true},"name":{"type":"string","format":"","description":"Application install name"},"version":{"type":"string","format":"","description":"Application install version"},"osGroupId":{"type":"integer","format":"integer","description":"Operating system group ID (1 = windows, 2 = linux)"},"active":{"type":"integer","format":"integer","description":"Application install active"},"releaseNotes":{"type":"string","format":"","description":"Application install release notes","nullable":true},"filePath":{"type":"string","format":"","description":"Path of the file on the file server","readOnly":true},"fileSize":{"type":"integer","format":"integer","description":"File size in bytes","readOnly":true},"fileSHA256":{"type":"string","format":"","description":"Archive file SHA-256 hash","readOnly":true},"executableSHA256":{"type":"string","format":"","description":"SHA-256 hash of the executable in the archive","readOnly":true},"status":{"type":"integer","format":"integer","description":"Status of application install.","readOnly":true},"installHasExe":{"type":"integer","format":"integer","description":"Does the archive contain the game instance executable?"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationInstall/{installId}":{"put":{"deprecated":true,"tags":["ApplicationInstall"],"summary":"Update an application install","operationId":"updateApplicationInstall","parameters":[{"name":"installId","in":"path","description":"The Id of the application install to update","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApplicationInstall"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstall"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid installId"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /v3/applicationInstall/{installId}

> Remove (deactivate) an application install

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstall","description":"Application install endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationInstall/{installId}":{"delete":{"deprecated":true,"tags":["ApplicationInstall"],"summary":"Remove (deactivate) an application install","operationId":"deleteApplicationInstall","parameters":[{"name":"installId","in":"path","description":"The Id of the application install you want to remove","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid installId"},"409":{"description":"Application install is in use, cannot delete"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/game/applicationinstall.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
